## libapache-mod-auth-mysql 3.2

=== Makefile ===
APXS      = apxs
APXSFLAGS =
DSO   = mod_auth_mysql.so
SRCS  = mod_auth_mysql.c
HDRS  = mod_auth_mysql.h
OPTS  = -I/usr/include/mysql -L/usr/lib/mysql -lmysqlclient

all: $(DSO)

$(DSO): $(SRCS) $(HDRS)
	$(APXS) $(APXSFLAGS) -o $(DSO) $(OPTS) -c $(SRCS)

install: $(DSO)
	$(APXS) $(APXSFLAGS) $(NAME) -i -A $(DSO)

clean:
	-rm -f *.o $(DSO)

## libapache-mod-auth-mysql 4.3.1

=== Makefile ===
APXS	= /usr/bin/apxs
APXSFLAGS =
APXS2	= 
APXS2FLAGS =
SRCS	= mod_auth_mysql.c
HDRS	= config.h
OPTS	= -I/usr/include/mysql -L/usr/lib -lmysqlclient
MODULES =  apache13_mod_auth_mysql.so

all: $(MODULES)

apache13_mod_auth_mysql.so: $(SRCS) $(HDRS)
	$(APXS) $(APXSFLAGS) -o $@ $(OPTS) -c $(SRCS)

apache2_mod_auth_mysql.so: apache2_mod_auth_mysql.la
	cp .libs/apache2_mod_auth_mysql.so .

apache2_mod_auth_mysql.la: $(SRCS) $(HDRS)
	$(APXS2) $(APXS2FLAGS) -o $@ $(OPTS) -DAPACHE2 -c $(SRCS)

clean:
	-rm -rf *.o *.so *.lo *.slo *.la .libs

distclean: clean
	-rm -f config.status config.log config.h Makefile
	-rm -rf autom4te.cache

maintclean: distclean
	-rm -f configure

=== debian/changelog ===
libapache-mod-auth-mysql (4.3.1) unstable; urgency=low

  * Determined that safe_mysql_query() wasn't retrying on some retryable
    errors, and fixed it up so that it retries once if the server wandered
    off before we started.  Closes: #255985.

 -- Matthew Palmer <mpalmer@debian.org>  Sun, 27 Jun 2004 21:34:59 +1000

libapache-mod-auth-mysql (4.3.0) unstable; urgency=low

  * Two new directives, Auth_MySQL_DefaultPort and Auth_MySQL_DefaultSocket. 
  * Related to the above, the specification of port or socket as part of the
    hostname is no longer permitted.  Hopefully nobody got too attached to
    that, as it wasn't documented as such anyway.
  * Straightened out various bits of twisty code.
  * Removed the crazy host/port/socket parsing code which (I believe) was
    causing all the screwed up hostname grief.  Closes: #251704.

 -- Matthew Palmer <mpalmer@debian.org>  Wed, 16 Jun 2004 17:39:10 +1000

libapache-mod-auth-mysql (4.2.1) unstable; urgency=low

  * Added some directives to the Apache2 config handler which were somehow
    missed in the initial conversion.  Closes: #252455.
  * Fixed a string termination issue in the connection code.
    Closes: #251704.

 -- Matthew Palmer <mpalmer@debian.org>  Fri,  4 Jun 2004 10:28:21 +1000

libapache-mod-auth-mysql (4.2.0) unstable; urgency=low

  * Applied a patch from Takeshi Murakami to add Apache 2 support and the
    ability to specify a port number or socket file (for those times you
    just gotta do it).  Closes: #231667.  Many thanks to Takeshi for taking
    the time to do the Apache2 conversion (which appears to have been a fair
    bit of work).
      - Updated DIRECTIVES for the new port/socket specifiers.
      - Added new --with-apache and --with-apache2 ./configure options to
        enable/disable build support for both modules.
      - New binary package, libapache2-mod-auth-mysql, to provide the
        apache2-compiled version of m-a-m.  Closes: #248415.  Also updated
        build-deps and all that sort of thing.  Small parts shamelessly
        stolen from libapache2-mod-auth-pgsql.
  * Bumped standards version; no changes needed.
  * Reversed the sense of the persistent check on connection close; the
    program now behaves like it's documentation.  Closes: #243995.

 -- Matthew Palmer <mpalmer@debian.org>  Tue, 11 May 2004 15:09:07 +1000

libapache-mod-auth-mysql (4.1.8) unstable; urgency=low

  * Added conditionals and more calls to modules-config so that the module
    will install nicely into all apache flavours.  Closes: #226425.
  * Applied a functionality improvement from Jakub Stachowski to add some
    arbitrary SQL to the end of a query, to improve matching.
    Closes: #221923.

 -- Matthew Palmer <mpalmer@debian.org>  Fri, 16 Jan 2004 12:47:46 +1030

libapache-mod-auth-mysql (4.1.7) unstable; urgency=low

  * Added a postinst and postrm which should add and remove the module from
    Apache's module list.  Closes: #220239
  * Thwap!  Forgot that sec->user_field might be NULL, so we shouldn't set
    auth_user_field to it if it's empty.
  * Added more ways to set user_group_field in the group checking query.
    Also added a default, so it'll never be NULL.
  * Some punctuation changes in the group check query string.
  * Tracked down a particularly vicious segfault (and fixed another bug in
    the process).
  * Finally tracked down the cause of require groups not working.
    Closes: #216859.  Many thanks to Stephen Leclerc for putting up with my
    many fruitless debugging attempts, since I couldn't reproduce the
    problem on my systems, but it was consistent for him.

 -- Matthew Palmer <mpalmer@debian.org>  Wed, 19 Nov 2003 00:02:10 +1100

libapache-mod-auth-mysql (4.1.6) unstable; urgency=low

  * Escaped $ signs in MD5 configure test, so it works properly.  Thanks to
    Emmanuel Lacour for working this one out.  (Closes: #212179)

 -- Matthew Palmer <mpalmer@debian.org>  Wed, 24 Sep 2003 09:39:06 +1000

libapache-mod-auth-mysql (4.1.5) unstable; urgency=low

  * Applied patch supplied by Martin Kos to allow groups of a user to be
    specified as a MySQL SET.  (Closes: #200535)

 -- Matthew Palmer <mpalmer@debian.org>  Sun, 13 Jul 2003 19:00:17 +1000

libapache-mod-auth-mysql (4.1.4.1) unstable; urgency=low

  * Yet more #ifdef'd debugging, since I suspect a need for more sacrificial
    lambs.

 -- Matthew Palmer <mpalmer@debian.org>  Fri, 16 May 2003 17:37:15 +1000

libapache-mod-auth-mysql (4.1.4) unstable; urgency=low

  * Now with a log message indicating "auth failed".
  * More logging around query generation, to solve a mysterious bug.
  * USAGE a little more detailed on the subject of encryption types. 
    (Closes: #192098)

 -- Matthew Palmer <mpalmer@debian.org>  Wed,  7 May 2003 17:18:17 +1000

libapache-mod-auth-mysql (4.1.3) unstable; urgency=low

  * Updated the Build-Deps to point to the LGPL'd libmysqlclient10-dev,
    rather than the GPL'd libmysqlclient-dev (which is actually lmc12-dev
    now).  Pesky licenses.  Closes: #189212.

 -- Matthew Palmer <mpalmer@debian.org>  Wed, 16 Apr 2003 17:05:22 +1000

libapache-mod-auth-mysql (4.1.2) unstable; urgency=low

  * FFS... Automade makefiles suck.  Duplicated the cleaning action of make
    distclean in debian/rules.  Closes: #189107.

 -- Matthew Palmer <mpalmer@debian.org>  Wed, 16 Apr 2003 09:09:58 +1000

libapache-mod-auth-mysql (4.1.1) unstable; urgency=low

  * New version numbering scheme.  Screw this upstream-debian thing, I *am*
    the damn upstream (oooh, I love the power).
  * Fixed the blasted zombie connection problem.  Simple really - as long as
    Apache played ball (which it didn't).  Closes: #184443.  Yippee!  Much
    thanks *must* go to john@pensol.com who did the hard work of identifying
    the exact circumstances under which this bug occured, and provided a
    fair bit of the logic required to fix it.
  * Added analogous Auth_MySQL_Group_User_Field command, fixed code to align


=== debian/control ===
Source: libapache-mod-auth-mysql
Section: web
Priority: optional
Maintainer: Matthew Palmer <mpalmer@debian.org>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 4), apache-dev, libmysqlclient10-dev, apache2-threaded-dev

Package: libapache-mod-auth-mysql
Architecture: any
Depends: ${shlibs:Depends}, apache-common (>= 1.3.22-6)
Conflicts: apache-common (<< 1.3.22-6)
Description: Apache module for MySQL authentication
 A module for the Apache web server which enables HTTP authentication
 against information stored in a MySQL database.
 .
 If you're looking for a version of this module for apache2, please see
 libapache2-mod-auth-mysql.

Package: libapache2-mod-auth-mysql
Architecture: any
Depends: ${shlibs:Depends}, apache2-common (>= 2.0.48-4)
Description: Apache 2 module for MySQL authentication
 A module for the Apache 2 web server which enables HTTP authentication
 against information stored in a MySQL database.

=== debian/rules ===
#!/usr/bin/make -f

export DH_COMPAT=4
APACHE13=$(CURDIR)/debian/libapache-mod-auth-mysql
APACHE2=$(CURDIR)/debian/libapache2-mod-auth-mysql


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
        INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Configuration commands
	./configure --enable-apache2
	touch configure-stamp

clean:
	dh_testdir
	dh_testroot
	dh_clean -A
	-make clean
	rm -f config.status config.log config.h
	rm -f configure-stamp build-stamp

build-indep: build
build-arch: build
build: build-stamp
build-stamp: configure
	dh_testdir
	$(MAKE)
	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_installdirs -A

# the makefile uses apxs, which doesn't work so well for us, so...
	install -s -m 644 apache13_mod_auth_mysql.so $(APACHE13)/usr/lib/apache/1.3/mod_auth_mysql.so
	install -m 644 500mod_auth_mysql.info $(APACHE13)/usr/lib/apache/1.3/
	install -s -m 644 apache2_mod_auth_mysql.so $(APACHE2)/usr/lib/apache2/modules/mod_auth_mysql.so
	install -m 644 auth_mysql.load $(APACHE2)/etc/apache2/mods-available

binary: binary-arch binary-indep
binary-indep: install
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs -A
	dh_installchangelogs -A
	dh_compress -A
	dh_installdeb -A
	dh_shlibdeps -A
	dh_gencontrol -A
	dh_md5sums -A
	dh_builddeb -A

.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install
